Bug 224470 - [NEW PORT] sysutils/twmn: Notification system for tiling window managers
Summary: [NEW PORT] sysutils/twmn: Notification system for tiling window managers
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://github.com/sboli/twmn
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-19 23:35 UTC by Dmitri Goutnik
Modified: 2018-05-23 10:32 UTC (History)
2 users (show)

See Also:


Attachments
patch file (3.45 KB, patch)
2017-12-19 23:35 UTC, Dmitri Goutnik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik 2017-12-19 23:35:28 UTC
Created attachment 188981 [details]
patch file

twmn is a notification system for tiling window managers. It consists of the
two programs:

twmnc: command line tool to send notifications to twmnd. You can also use
notify-send for a similar purpose, but twmnc is more powerful. See
twmnc --help for more information.

twmnd: daemon listening to notification requests and showing them one after
another. Configure it at ~/.config/twmn/twmn.conf. The file is generated the
first time twmnd is launched.

Notifications are shown in a one-line bar called the notification slide.
They can be navigated through and activated with shortcuts.

WWW: https://github.com/sboli/twmn

QA:
  portlint -ACN: OK
  poudriere testport: OK (11a, 10i)
Comment 1 Yuri Victorovich freebsd_committer 2017-12-21 18:12:15 UTC
Committed.
Thank you for your contribution!
Comment 2 commit-hook freebsd_committer 2017-12-21 18:12:29 UTC
A commit references this bug:

Author: yuri
Date: Thu Dec 21 18:12:11 UTC 2017
New revision: 456936
URL: https://svnweb.freebsd.org/changeset/ports/456936

Log:
  New port: sysutils/twmn: Notification system for tiling window managers

  There were some questions about the version. The source code has 1.2 in it,
  but it hasn't been tagged on github. So I left it as g20171216.

  PR:		224470
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13563

Changes:
  head/sysutils/Makefile
  head/sysutils/twmn/
  head/sysutils/twmn/Makefile
  head/sysutils/twmn/distinfo
  head/sysutils/twmn/pkg-descr